Summary:	Enhanced Doom engine
Name:		gzdoom
Version:	3.5.0
Release:	%mkrel 1
License:	GPLv3+
Group:		Games/Arcade
Url:		https://zdoom.org
Source0:	https://zdoom.org/files/gzdoom/src/%{name}-src-g%{version}.zip
# From http://forum.zdoom.org/viewtopic.php?f=4&t=33119
Source1:	%{name}.png
Patch0:		gzdoom-g3.2.5-static.patch
Patch1:		gzdoom-g3.2.5-data-path.patch
BuildRequires:	cmake
BuildRequires:	imagemagick
BuildRequires:	bzip2-devel
BuildRequires:	libgomp-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(fluidsynth)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libgme)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(zlib)
Requires:	TiMidity++

Recommends:	doom-iwad
Provides:	doom-engine

Obsoletes:	prboom-plus <= 2.5.4.1


%description
GZDoom is a Doom source port based on ZDoom. It features an OpenGL renderer
and lots of new features, among them:
- 3D floors
- Dynamic lights
- Quake2/Unreal style skyboxes
- True color texture support
- Model support (limited at the moment)

Warning! Make sure to place WAD files to %{_datadir}/doom/

%files
%{_bindir}/%{name}
%{_gamesdatadir}/doom/brightmaps.pk3
%{_gamesdatadir}/doom/gzdoom.pk3
%{_gamesdatadir}/doom/lights.pk3
%{_gamesdatadir}/doom/zd_extra.pk3
%{_datadir}/doc/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-g%{version}
%patch0 -p1
%patch1 -p1

sed -i s,"<unknown version>","%{version}",g tools/updaterevision/updaterevision.c

%build
%cmake \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DINSTALL_PK3_PATH=%{_gamesdatadir}/doom/
%make_build

%install
%make_install -C build

# install menu entry
mkdir -p %{buildroot}%{_datadir}/applications/
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=GZDoom
Comment=Enhanced Doom engine
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

# install menu icons
for N in 16 32 48 64 128;
do
convert %{SOURCE1} -scale ${N}x${N} $N.png;
install -D -m 0644 $N.png %{buildroot}%{_iconsdir}/hicolor/${N}x${N}/apps/%{name}.png
done




%changelog
* Sun Aug 26 2018 zezinho <zezinho> 3.5.0-1.mga6
  (not released yet)
+ Revision: 1254762
- obsoletes prboom-plus

* Sun Aug 26 2018 zezinho <zezinho> 3.5.0-1.mga7
+ Revision: 1254689
- started from rosalabs spec
- imported package gzdoom



* Wed Feb 07 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.2.5-1
- (62d179b) New version 3.2.5
- (62d179b) No longer depends on non-free packages


